Summary
Import Triggers
Description
Import Triggers.
Route
PUT /operations-manager/triggers
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| triggers |
array |
yes |
An array of exported Trigger documents. |
| options |
object |
yes |
Optional parameters. |
Copied to Clipboard
{
"triggers": [
{
"name": "myCoolDocumentName",
"type": "eventSystem",
"enabled": true,
"actionType": "automations",
"actionId": "dd4a42ca5f6bd8550e70d7b7",
"source": "id dolore ea",
"topic": "velit ullamco adipisicing laboris consequat",
"schema": null,
"_id": "7b5b980d1fed2ce4c8db00af",
"description": "Some helpful information about the document",
"lastExecuted": 47541997,
"migrationVersion": -75868078,
"legacyWrapper": true,
"createdBy": "Lorem",
"created": "1967-06-05T16:00:35.883Z",
"lastUpdatedBy": "enim",
"lastUpdated": "1967-05-05T14:28:16.264Z"
}
],
"options": {
"adapterMap": {
"old_name": "new_name"
}
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"triggers": {
"title": "triggers",
"type": "array",
"items": {
"title": "triggers",
"$ref": "trigger-json"
}
},
"options": {
"title": "options",
"type": "object",
"properties": {
"adapterMap": {
"type": "object",
"description": "A mapping of provenance names to be converted upon import, specified in \"old_name\": \"new_name\" format.",
"examples": [
{
"staging": "production"
},
{
"old_name": "new_name"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"triggers",
"options"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| createdTigger |
object |
The result of the import operation. |
Copied to Clipboard
{
"message": "Successfully created the requested item",
"data": [
{
"success": true,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "a4de6c6bbd27d8157b61db03",
"lastExecuted": null,
"migrationVersion": 87003425,
"createdBy": "7f47242b7f0335da7c63af59",
"created": "1975-02-08T00:41:23.188Z",
"lastUpdatedBy": "24cd0fadb19e62f02aedaf36",
"lastUpdated": "2020-05-12T13:38:43.44Z",
"_id": "55107fc0e9b136e40dfbcbbb"
}
},
{
"success": false,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "31d4dc84c40c0ee964c75f9b",
"lastExecuted": 62366165,
"migrationVersion": 85888918,
"createdBy": "Pronghorn",
"created": "2016-06-28T21:24:17.833Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "1968-12-06T06:17:21.604Z",
"_id": "41dc83054853f52eebd69af8"
}
},
{
"success": false,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "71e78bcc5b244b76094c4054",
"lastExecuted": 14350847,
"migrationVersion": 66293687,
"createdBy": "80f6e2d801c5af5f6652485c",
"created": "1995-04-16T08:01:39.58Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "1954-01-17T11:39:55.121Z",
"_id": "b6a46e62db55fd2cf5ccbc80"
}
},
{
"success": true,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "93e1af51c51d2a234f2bf591",
"lastExecuted": null,
"migrationVersion": -41080676,
"createdBy": "Pronghorn",
"created": "2003-01-09T17:19:29.34Z",
"lastUpdatedBy": "8c9f8a15f69e49a3383d7996",
"lastUpdated": "2020-12-15T17:44:42.285Z",
"_id": "c86c230cc939c6558a40c148"
}
},
{
"success": false,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "3b2e2a9c3b54f74af39aa77b",
"lastExecuted": null,
"migrationVersion": -28021783,
"createdBy": "c27afe405ff353d7ad106eae",
"created": "1960-07-07T22:10:15.731Z",
"lastUpdatedBy": "10cb0cff8e9adcb2bc936cfb",
"lastUpdated": "2010-12-12T00:27:44.697Z",
"_id": "d17fe5805f5c99cf7fccae4a"
}
}
]
}